Bug 145721 - CAN-1999-1572 cpio insecure file creation
CAN-1999-1572 cpio insecure file creation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cpio (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Peter Vrabec
Brock Organ
impact=low,public=19960716
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-20 16:35 EST by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-24 10:24:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch is excerpted from http://groups-beta.google.com/group/gnu.utils.bug/msg/4db088ee6031c9ec (418 bytes, text/plain)
2005-01-24 10:24 EST, Peter Vrabec
no flags Details

  None (edit)
Description Josh Bressers 2005-01-20 16:35:08 EST
*** This bug has been split off bug 145720 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.20
16:32 -------

This is a very old issue.  This message was posted to vendor-sec.


GNU cpio -oO appears to generate files with 0666 regardless of
the user's umask.  This is true for both cpio 2.5 (RH, SuSE) and
and the (surprisingly 3x) larger cpio 2.6, but I haven't had the
chance to dig into the code yet or sync with the developers yet.
(If anyone else can gets to it before me, by all means...)  cpio
has a  need to toggle between a "0" umask and the original umask
depending on what it is doing, and gets it wrong in this case.

It's a long-known public issue in general -- earliest I can find
a record of it goes back to 1996, when the BSD folks fixed it:

http://www.freebsd.org/cgi/query-pr.cgi?pr=bin/1391

and fixes against older GNU cpio were posted to gnu.utils.bugs
by The Written Word folks:

http://groups-beta.google.com/group/gnu.utils.bug/msg/4db088ee6031c9ec

but it never seems to have gotten into newer GNU cpio versions.
Comment 1 Josh Bressers 2005-01-20 16:35:50 EST
This issue should also affect FC2.
Comment 2 Peter Vrabec 2005-01-24 10:24:05 EST
Created attachment 110126 [details]
patch is excerpted from http://groups-beta.google.com/group/gnu.utils.bug/msg/4db088ee6031c9ec

Note You need to log in before you can comment on or make changes to this bug.